# CommandContainer Struct Reference

Structure for buffering the build command when selecting a station to join. More...

`#include <command_type.h>`

## Data Fields
TileIndex | tile
| tile command being executed on
uint32 | p1
| parameter p1
uint32 | p2
| parameter p2
uint32 | cmd
| command being executed
CommandCallback * | callback
| any callback function executed upon successful completion of the command
char | text [80]
| possible text sent for name changes etc

## Detailed Description

Structure for buffering the build command when selecting a station to join.

Definition at line 398 of file command_type.h.

The documentation for this struct was generated from the following file:

- src/command_type.h